Subject: Re: [PATCH] keywest: Convert to new-style i2c driver

From: Jean Delvare <[email-masked]>
Date: Tue, 21 Apr 2009 11:23:00 +0200

On Tue, 21 Apr 2009 08:31:00 +0200, Takashi Iwai wrote:
> At Mon, 20 Apr 2009 22:56:59 +0200,
> Jean Delvare wrote:
> > 
> > The legacy i2c binding model is going away soon, so convert the ppc
> > keywest sound driver to the new model or it will break.
> > 
> > Signed-off-by: Jean Delvare <[email-masked]>
> > Cc: Benjamin Herrenschmidt <[email-masked]>
> > Cc: Takashi Iwai <[email-masked]>
> > ---
> > Takashi, please push this patch to Linus quickly, as this is blocking
> > the removal of the legacy i2c binding model, which is scheduled for
> > 2.6.30.
> > 
> > I did not get any test report for this one, but it's relatively simple
> > so I am confident I got it right.
> 
> Applied this one, too.  Thanks.

Thanks Takashi.

BTW, I forgot to mention again that the new i2c binding model is
functional since kernel 2.6.25, so for the external alsa driver tree
you will want to guard these changes with appropriate ifdef magic.

-- 
Jean Delvare